export declare const CACHE_STORAGE_NAME = "jwt-redhat-lf";
export interface ICacheOptions {
    expireAt?: number;
}
export interface IBaseCache<T> {
    lastModifiedDate?: string;
    value: T;
    expiresAt?: number;
}
export interface IStringCache extends IBaseCache<string> {
}
export interface IBooleanCache extends IBaseCache<boolean> {
}
export interface INumberCache extends IBaseCache<number> {
}
export declare class CacheUtils {
    static set<S extends IBaseCache<T>, T>(key: string, obj: S, options?: ICacheOptions): Promise<S>;
    static get<S>(key: string): Promise<S>;
    static delete(key: string): Promise<void>;
    static clear(): Promise<void>;
    static keys(text?: string): Promise<string[]>;
    static setInSessionStorage(key: string, value: string): void;
    static getInSessionStorage(key: string): string;
}
